{include file="admin/_head.tpl" title="Configuration — %s"|args:$plugin.nom current="plugin_%s"|args:$plugin.id}
{include file="%s/templates/_menu.tpl"|args:$plugin_root current="config"}

{if $ok && !$form->hasErrors()}
    <p class="confirm">
        La configuration a bien été enregistrée.
    </p>
{/if}

{form_errors}

<form method="post" action="{$self_url}">
    <fieldset>
        <legend>Configuration du plugin</legend>
        <dl>
            <dt><label for="f_siret">SIRET de l'assocation</label></dt>
            <dd><input type="text" name="siret_asso" id="f_siret" value="{$siret_asso}"></dd>

            <dt><label for="f_footer">Pied de documents/informatiosn légales</label></dt>
            <dd><textarea name="footer" id="f_footer" cols="50" rows="5">{$footer}</textarea></dd>

            <dt><input type="checkbox" name="validate_cp" id="f_validate_cp" {$validate_cp}> <label for="f_validate_cp">Vérifier le code postal lors de saisie/modification de client (seulement FR)</label></dt>
            <dt><input type="checkbox" name="unique_name" id="f_unique_name" {$unique_name}> <label for="f_unique_name">Noms des clients uniques</label></dt>
        
        </dl>
        <i>Pour personnaliser l'apparence de la facture, il faut pour l'instant se retrousser les manches et éditer soi-même le fichier www/admin/facture_pdf.php du plugin ! </i>
    </fieldset>

    <p class="submit">
        {csrf_field key="facturation_config"}
        <input type="submit" name="save" value="Enregistrer &rarr;" />
    </p>
</form>

{include file="admin/_foot.tpl"}